import qs from 'qs'

/**
 * 获取url中的参数
 * @param url 当前需要获取参数的url
 */
export const getUrlParams = url => {
  // 已经替换的url和参数
  const replaceParams = url.split('?')[1]
  return qs.parse(replaceParams)
}

/**
 * 改变url中的参数
 * @param params 需要变更的参数
 */
export const replaceUrlParams = url => {
  // 已经替换的url和参数
  const replaceUrl = url.split('?')[0]
  // 将参数格式化成json对象
  const formatReplaceParams = getUrlParams(url)
  // 返回格式化方法
  return params => {
    Object.keys(params).forEach(key => {
      formatReplaceParams[key] = params[key]
    })
    // 返回替换后的对象
    return `${replaceUrl}?${qs.stringify(formatReplaceParams)}`
  }
}
